Subject: PROBLEM: second tg3 on sparc64 not working

From: Daniel Smolik <[email-masked]>
Date: Tue, 05 Jun 2012 15:05:20 +0200

1.On Sun Fire125 is second on board tg3 detected but, don't work.

2. I install Debian Wheezy with no problem, but I need 2 network cards. I tested latest kernels 3.4.0, compile own but 
still   this:

  tg3 0000:00:02.1: BAR 2: can't reserve [mem 0x7f700000000-0x7f70000ffff]
  tg3 0000:00:02.1: Cannot obtain PCI resources, aborting

3. networking tg3

4.1 Linux version 3.2.0-2-sparc64 (Debian 3.2.17-1) ([email-masked]) (gcc version 4.6.3 (Debian 4.6.3-5) 
) #1 Sat May 12 23:36:00 UTC 2012

4.2 .config attached

5. I tested kenrnel from lenny 2.6.26 and bug still there

6. dmesg output attached

8.1 If some fields are empty or look unusual you may have an old version.
Compare to the current minimal requirements in Documentation/Changes.

Linux buliznik 3.2.0-2-sparc64 #1 Sat May 12 23:36:00 UTC 2012 sparc64 GNU/Linux

Gnu C                  4.6
Gnu make               3.81
binutils               2.22
util-linux             2.20.1
mount                  support
module-init-tools      8
e2fsprogs              1.42.2
Linux C Library        2.13
Dynamic linker (ldd)   2.13
Procps                 3.3.3
Net-tools              1.60
Kbd                    ./ver_linux:
Sh-utils               8.13
Modules Loaded         nfsd nfs nfs_acl auth_rpcgss fscache lockd sunrpc ext3 jbd sunhme loop flash ext4 crc16 jbd2 
mbcache raid1 md_mod ohci_hcd sr_mod cdrom ata_generic ehci_hcd sd_mod crc_t10dif pata_ali libata sym53c8xx 
scsi_transport_spi scsi_mod usbcore usb_common tg3 libphy

8.2  cat /proc/cpuinfo
cpu		: TI UltraSparc IIIi (Jalapeno)
fpu		: UltraSparc IIIi integrated FPU
pmu		: ultra3i
prom		: OBP 4.30.4.a 2010/01/06 14:46
type		: sun4u
ncpus probed	: 1
ncpus active	: 1
D$ parity tl1	: 0
I$ parity tl1	: 0
Cpu0ClkTck	: 000000003bb94e80
cpucaps		: flush,stbar,swap,muldiv,v9,ultra3,mul32,div32,v8plus,vis,vis2
MMU Type	: Cheetah+

8.3
  cat /proc/modules
nfsd 227137 2 - Live 0x0000000010498000
nfs 322331 0 - Live 0x000000001042c000
nfs_acl 2199 2 nfsd,nfs, Live 0x0000000010424000
auth_rpcgss 36343 2 nfsd,nfs, Live 0x0000000010412000
fscache 30977 1 nfs, Live 0x0000000010400000
lockd 63247 2 nfsd,nfs, Live 0x00000000103e6000
sunrpc 176912 6 nfsd,nfs,nfs_acl,auth_rpcgss,lockd, Live 0x00000000103a2000
ext3 178861 1 - Live 0x0000000010364000
jbd 47039 1 ext3, Live 0x000000001034e000
sunhme 25084 0 - Live 0x0000000010340000
loop 13325 0 - Live 0x0000000010336000
flash 2807 0 - Live 0x000000001032e000
ext4 394896 1 - Live 0x00000000102ae000
crc16 1303 1 ext4, Live 0x00000000102a6000
jbd2 55358 1 ext4, Live 0x000000001028c000
mbcache 4658 2 ext3,ext4, Live 0x0000000010284000
raid1 21889 1 - Live 0x0000000010278000
md_mod 93810 2 raid1, Live 0x0000000010254000
ohci_hcd 17508 0 - Live 0x0000000010240000
sr_mod 13713 0 - Live 0x0000000010236000
cdrom 33879 1 sr_mod, Live 0x0000000010224000
ata_generic 3175 0 - Live 0x000000001021c000
ehci_hcd 35605 0 - Live 0x000000001020c000
sd_mod 32130 7 - Live 0x00000000101fc000
crc_t10dif 1292 1 sd_mod, Live 0x00000000101ec000
pata_ali 7687 0 - Live 0x00000000101e4000
libata 147361 2 ata_generic,pata_ali, Live 0x00000000101a8000
sym53c8xx 68534 5 - Live 0x000000001018e000
scsi_transport_spi 20405 1 sym53c8xx, Live 0x0000000010158000
scsi_mod 164693 5 sr_mod,sd_mod,libata,sym53c8xx,scsi_transport_spi, Live 0x00000000100c4000
usbcore 116767 3 ohci_hcd,ehci_hcd, Live 0x0000000010068000
usb_common 866 1 usbcore, Live 0x0000000010060000
tg3 129723 0 - Live 0x000000001000c000
libphy 14143 1 tg3, Live 0x0000000010000000

8.4
  cat /proc/ioports
7c601000000-7c601ffffff : /pci@1d,700000
7ce01000000-7ce01ffffff : /pci@1c,600000
   7ce01000900-7ce010009ff : sym53c8xx
   7ce01000a00-7ce01000aff : sym53c8xx
7f601000000-7f601ffffff : /pci@1f,700000
7fe01000000-7fe01ffffff : /pci@1e,600000
   7fe01000070-7fe01000071 : rtc
     7fe01000070-7fe01000071 : rtc0
   7fe010002e8-7fe010002ef : su
   7fe010003f8-7fe010003ff : su
   7fe01000600-7fe0100061f : 0001:00:06.0
   7fe01000800-7fe0100083f : 0001:00:06.0
     7fe01000800-7fe01000803 : power
   7fe01000900-7fe01000907 : pata_ali
   7fe01000908-7fe0100090f : pata_ali
   7fe01000910-7fe01000917 : pata_ali
   7fe01000918-7fe0100091f : pata_ali
   7fe01000920-7fe0100092f : pata_ali

cat /proc/iomem
40000000000-40000000007 : jbusmc
7c700000000-7c7ffffffff : /pci@1d,700000
   7c7000a0000-7c7000bffff : Video RAM area
   7c7000c0000-7c7000c7fff : Video ROM
   7c7000f0000-7c7000fffff : System ROM
   7c7c0000000-7c7dfffffff : IOMMU
7cf00000000-7cfffffffff : /pci@1c,600000
   7cf000a0000-7cf000bffff : Video RAM area
   7cf000c0000-7cf000c7fff : Video ROM
   7cf000f0000-7cf000fffff : System ROM
   7cf00100000-7cf00101fff : sym53c8xx
   7cf00102000-7cf00103fff : sym53c8xx
   7cf00104000-7cf00105fff : sym53c8xx
   7cf00106000-7cf00107fff : sym53c8xx
   7cfc0000000-7cfdfffffff : IOMMU
7f700000000-7f7ffffffff : /pci@1f,700000
   7f700000000-7f70000ffff : tg3
   7f7000a0000-7f7000bffff : Video RAM area
   7f7000c0000-7f7000c7fff : Video ROM
   7f7000f0000-7f7000fffff : System ROM
   7f700200000-7f7003fffff : tg3
   7f7c0000000-7f7dfffffff : IOMMU
7ff00000000-7ffffffffff : /pci@1e,600000
   7ff000a0000-7ff000bffff : Video RAM area
   7ff000c0000-7ff000c7fff : Video ROM
   7ff000f0000-7ff000fffff : System ROM
   7ff01000000-7ff01ffffff : ohci_hcd
   7ffc0000000-7ffdfffffff : IOMMU

8.5

0000:00:02.0 Ethernet controller: Broadcom Corporation NetXtreme BCM5704 Gigabit Ethernet
	Subsystem: Broadcom Corporation NetXtreme BCM5704 Gigabit Ethernet
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64 (16000ns min), Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 6
	Region 0: Memory at 00200000 (64-bit, non-prefetchable) [size=2M]
	Region 2: [virtual] Memory at <unassigned> (64-bit, non-prefetchable)
	Region 4: [virtual] Memory at fffff80900000000 (32-bit, non-prefetchable) [size=1]
	Region 5: [virtual] Memory at fffff80900000000 (32-bit, non-prefetchable) [size=1]
	Expansion ROM at fffff80900000000 [disabled] [size=1]
	Capabilities: [40] PCI-X non-bridge device
		Command: DPERE- ERO+ RBC=512 OST=1
		Status: Dev=ff:1f.0 64bit+ 133MHz+ SCD- USC- DC=simple DMMRBC=2048 DMOST=1 DMCRS=16 RSCEM- 266MHz- 533MHz-
	Capabilities: [48] Power Management version 2
		Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot+,D3cold-)
		Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=1 PME-
	Capabilities: [50] Vital Product Data
pcilib: sysfs_read_vpd: read failed: Connection timed out
		Not readable
	Capabilities: [58] MSI: Enable- Count=1/8 Maskable- 64bit+
		Address: fffffffffffffffc  Data: ffff
	Kernel driver in use: tg3

0000:00:02.1 Ethernet controller: Broadcom Corporation NetXtreme BCM5704 Gigabit Ethernet
	Subsystem: Oracle/SUN Device 1648
	Control: I/O- Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Interrupt: pin B routed to IRQ 7
	Region 0: Memory at 00400000 (64-bit, non-prefetchable) [size=2M]
	Region 2: [virtual] Memory at <unassigned> (64-bit, non-prefetchable)
	Region 4: [virtual] Memory at fffff80900000000 (32-bit, non-prefetchable) [size=1]
	Region 5: [virtual] Memory at fffff80900000000 (32-bit, non-prefetchable) [size=1]
	[virtual] Expansion ROM at fffff80900000000 [disabled] [size=1]
	Capabilities: [40] PCI-X non-bridge device
		Command: DPERE- ERO+ RBC=512 OST=1
		Status: Dev=ff:1f.1 64bit+ 133MHz+ SCD- USC- DC=simple DMMRBC=2048 DMOST=1 DMCRS=16 RSCEM- 266MHz- 533MHz-
	Capabilities: [48] Power Management version 2
		Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot+,D3cold-)
		Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=1 PME-
	Capabilities: [50] Vital Product Data
pcilib: sysfs_read_vpd: read failed: Connection timed out
		Not readable
	Capabilities: [58] MSI: Enable- Count=1/8 Maskable- 64bit+
		Address: fdbbf95bfffffe6c  Data: ffff

0001:00:06.0 Non-VGA unclassified device: ALi Corporation M7101 Power Management Controller [PMU]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Region 0: [virtual] I/O ports at <unassigned>
	Region 1: [virtual] Memory at fffff80100000000 (32-bit, non-prefetchable) [size=1]
	Region 2: [virtual] Memory at fffff80100000000 (32-bit, non-prefetchable) [size=1]
	Region 3: [virtual] Memory at fffff80100000000 (32-bit, non-prefetchable) [size=1]
	Region 4: [virtual] Memory at fffff80100000000 (32-bit, non-prefetchable) [size=1]
	Region 5: [virtual] Memory at fffff80100000000 (32-bit, non-prefetchable) [size=1]
	[virtual] Expansion ROM at fffff80100000000 [disabled] [size=1]

0001:00:07.0 ISA bridge: ALi Corporation M1533/M1535/M1543 PCI to ISA Bridge [Aladdin IV/V/V+]
	Control: I/O+ Mem+ BusMaster+ SpecCycle+ MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Region 0: [virtual] I/O ports at <unassigned>
	Region 3: [virtual] Memory at fffff80100000000 (32-bit, non-prefetchable) [size=1]
	Region 4: [virtual] Memory at fffff80100000000 (32-bit, non-prefetchable) [size=1]
	Region 5: [virtual] Memory at fffff80100000000 (32-bit, non-prefetchable) [size=1]
	[virtual] Expansion ROM at fffff80100000000 [disabled] [size=1]
	Capabilities: [a0] Power Management version 1
		Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
		Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-

0001:00:0a.0 USB controller: ALi Corporation USB 1.1 Controller (rev 03) (prog-if 10 [OHCI])
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64 (20000ns max)
	Interrupt: pin A routed to IRQ 17
	Region 0: Memory at 01000000 (32-bit, non-prefetchable) [size=16M]
	Region 1: [virtual] Memory at fffff80100000000 (32-bit, non-prefetchable) [size=1]
	Region 2: [virtual] Memory at fffff80100000000 (32-bit, non-prefetchable) [size=1]
	Region 3: [virtual] Memory at fffff80100000000 (32-bit, non-prefetchable) [size=1]
	Region 4: [virtual] Memory at fffff80100000000 (32-bit, non-prefetchable) [size=1]
	Region 5: [virtual] Memory at fffff80100000000 (32-bit, non-prefetchable) [size=1]
	[virtual] Expansion ROM at fffff80100000000 [disabled] [size=1]
	Capabilities: [60] Power Management version 2
		Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold+)
		Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
	Kernel driver in use: ohci_hcd

0001:00:0d.0 IDE interface: ALi Corporation M5229 IDE (rev c4) (prog-if ff)
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64 (500ns min, 1000ns max)
	Interrupt: pin A routed to IRQ 18
	Region 0: I/O ports at 0900 [size=8]
	Region 1: I/O ports at 0918 [size=8]
	Region 2: I/O ports at 0910 [size=8]
	Region 3: I/O ports at 0908 [size=8]
	Region 4: I/O ports at 0920 [size=16]
	Region 5: [virtual] Memory at fffff80100000000 (32-bit, non-prefetchable) [size=1]
	[virtual] Expansion ROM at fffff80100000000 [disabled] [size=1]
	Capabilities: [60] Power Management version 2
		Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
		Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
	Kernel driver in use: pata_ali

0002:00:02.0 SCSI storage controller: LSI Logic / Symbios Logic 53c1010 66MHz  Ultra3 SCSI Adapter (rev 01)
	Subsystem: LSI Logic / Symbios Logic LSI53C1000/1000R/1010R/1010-66 PCI to Ultra160 SCSI Controller
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr+ Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64 (4250ns min, 4500ns max), Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 24
	Region 0: I/O ports at 0900 [size=256]
	Region 1: Memory at 00100000 (64-bit, non-prefetchable) [size=8K]
	Region 3: Memory at 00102000 (64-bit, non-prefetchable) [size=8K]
	Region 5: [virtual] Memory at fffff83100000000 (32-bit, non-prefetchable) [size=1]
	[virtual] Expansion ROM at fffff83100000000 [disabled] [size=1]
	Capabilities: [40] Power Management version 2
		Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
		Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
	Kernel driver in use: sym53c8xx

0002:00:02.1 SCSI storage controller: LSI Logic / Symbios Logic 53c1010 66MHz  Ultra3 SCSI Adapter (rev 01)
	Subsystem: LSI Logic / Symbios Logic LSI53C1000/1000R/1010R/1010-66 PCI to Ultra160 SCSI Controller
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr+ Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64 (4250ns min, 4500ns max), Cache Line Size: 64 bytes
	Interrupt: pin B routed to IRQ 25
	Region 0: I/O ports at 0a00 [size=256]
	Region 1: Memory at 00104000 (64-bit, non-prefetchable) [size=8K]
	Region 3: Memory at 00106000 (64-bit, non-prefetchable) [size=8K]
	Region 5: [virtual] Memory at fffff83100000000 (32-bit, non-prefetchable) [size=1]
	[virtual] Expansion ROM at fffff83100000000 [disabled] [size=1]
	Capabilities: [40] Power Management version 2
		Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
		Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
	Kernel driver in use: sym53c8xx

Dan Smolik